# localefwd.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file localefwd.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _LOCALE_FWD_H

## Functions

- template<typename _Facet> bool std::has_facet (const locale &__loc) throw ()
- template<typename _CharT> bool std::isalnum (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isalpha (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::iscntrl (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isdigit (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isgraph (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::islower (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isprint (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::ispunct (_CharT __c, const locale &__loc)
- template<typename _CharT> _GLIBCXX_END_LDBL_NAMESPACE
  bool std::isspace (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isupper (_CharT __c, const locale &__loc)
- template<typename _CharT> bool std::isxdigit (_CharT __c, const locale &__loc)
- template<typename _CharT> _CharT std::tolower (_CharT __c, const locale &__loc)
- template<typename _CharT> _CharT std::toupper (_CharT __c, const locale &__loc)
- template<typename _Facet> const _Facet & std::use_facet (const locale &__loc)